Update VICAL configuration
Roles
/v1/ecosystems/{ecosystemId}/vicals/configurationUpdate the VICAL configuration for the requested ecosystem
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/vicals/configuration" \ -H "Content-Type: application/json" \ -d '{ "vicalProvider": "string" }'{ "vicalProvider": "string", "autoPublish": { "enabled": true, "frequency": "Daily", "configuredAt": "2019-08-24T14:15:22Z" }}How would you rate this page?
Delete specific VICAL DELETE
Deletes a specific VICAL from the requested ecosystem by providing the VICAL version identifier. Deleting a VICAL also deletes the issuer policy published from it, if one exists. This action cannot be undone. A `404` is only returned when the ecosystem does not exist. Deleting a `vicalIssueId` that does not exist within an existing ecosystem still returns `204`. ### **Analytic events** * ECOSYSTEM_VICAL_DELETE_START * ECOSYSTEM_VICAL_DELETE_SUCCESS * ECOSYSTEM_VICAL_DELETE_FAIL
Retrieve VICAL configuration GET
Retrieve the VICAL configuration from the requested ecosystem